import { OnInit } from '@angular/core';
import { BilledProduct, Currency, PricingTier } from '@vendasta/billing';
import { MarketplaceBillingFrequency } from '@vendasta/core/shared';
import { Product } from '../../shared/product';
declare enum Layout {
    NotSet = 0,
    Basic = 1,
    Tiered = 2
}
export declare enum PriceDisplayMode {
    Wholesale = 1,
    Retail = 2
}
export declare class EditionsPricingComponent implements OnInit {
    product: Product;
    productPricing: BilledProduct;
    editionsPricing: BilledProduct[];
    priceDisplayMode: PriceDisplayMode;
    currency: typeof Currency;
    billingFrequency: typeof MarketplaceBillingFrequency;
    layout: Layout;
    pricingTier: PricingTier;
    ngOnInit(): void;
    get productIsEditioned(): boolean;
    get pricingTitle(): string;
    getTierValue(value: number): number | "∞";
    formatPrice(value: number): string;
    formatCommitmentString(): string;
    formatRecurString(): string;
}
export {};
